@charset "UTF-8";
#meetup_floatbanner {
  position: fixed;
  top: 50%;
  right: 0;
  transform: translateY(-50%);
  border-radius: 20px 0px 0px 20px;
  background: linear-gradient(#c0342f 0%, #bd4b47 49.91%, #c0342f 100%);
  border: 3px solid #fff;
  border-right: none;
  box-shadow: 0px 3px 6px rgba(0, 0, 0, 0.16);
  color: #fff;
  padding: 0.5rem;
  z-index: 99;
}
#meetup_floatbanner .circle {
  width: 100%;
  aspect-ratio: 1/1;
  background: linear-gradient(#fed687 0%, #f6ab16 100%);
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  line-height: 1.125;
  color: #222222;
  font-size: 0.8125rem;
  font-weight: 700;
  padding: 0.5em 0.3em 0.4em 0.7em;
  margin-bottom: 0.625rem;
}
#meetup_floatbanner .circle .date {
  font-size: 0.875rem;
  font-family: "Roboto", sans-serif;
}
#meetup_floatbanner .title {
  width: -webkit-fit-content;
  width: -moz-fit-content;
  width: fit-content;
  margin-left: auto;
  margin-right: auto;
  writing-mode: vertical-rl;
  font-weight: 900;
  margin-bottom: 0.5rem;
}
#meetup_floatbanner .arrow {
  padding-top: 0.5rem;
  border-top: 1px dashed #fff;
  margin-bottom: 0.25rem;
}
#meetup_floatbanner .arrow::after {
  content: "≫";
  width: -webkit-fit-content;
  width: -moz-fit-content;
  width: fit-content;
  display: block;
  margin-left: auto;
  margin-right: auto;
  font-size: 0.8125rem;
  font-weight: 900;
  line-height: 1;
  margin-top: 0.5rem;
}
#meetup_floatbanner .price {
  text-align: center;
  font-weight: 900;
}
@media screen and (min-width: 960px) {
  #meetup_floatbanner:hover {
    opacity: 1;
    background: linear-gradient(#036 0%, #0877d7 47.1%, #036 100%);
  }
}
@media screen and (max-width: 767px) {
  #meetup_floatbanner {
    top: auto;
    bottom: 0;
    width: 100%;
    max-width: 400px;
    left: 50%;
    right: auto;
    display: flex;
    align-items: center;
    border-radius: 10px 10px 0px 0px;
    border: 3px solid #fff;
    border-bottom: none;
    transform: translateX(-50%);
    padding: 0.25rem 0.5rem;
    transition: opacity 0.5s;
  }
  #meetup_floatbanner .circle {
    width: -webkit-fit-content;
    width: -moz-fit-content;
    width: fit-content;
    font-size: 0.75rem;
    flex-shrink: 0;
    margin-bottom: 0;
  }
  #meetup_floatbanner .circle .date {
    font-size: 0.75rem;
  }
  #meetup_floatbanner .title {
    font-size: 0.875rem;
    writing-mode: horizontal-tb;
    margin-bottom: 0;
  }
  #meetup_floatbanner .arrow {
    padding-top: 0;
    padding-left: 0.5rem;
    margin-bottom: 0;
    font-size: 0.875rem;
    border-top: none;
    border-left: 1px dashed #fff;
  }
  #meetup_floatbanner .arrow::after {
    font-size: 0.75rem;
  }
  #meetup_floatbanner .price {
    font-size: 0.875rem;
  }
  #meetup_floatbanner.is-hide {
    opacity: 0;
    pointer-events: none;
  }
}

body:has(#meetup_floatbanner) #pagetop {
  bottom: 80px;
}
@media screen and (max-width: 767px) {
  #meetup_floatbanner {
    max-width: 345px;
  }
  #meetup_floatbanner .title {
    font-size: 1rem;
  }
}